Eyetracker |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
pygaze.screen.Screen Class Reference
Inheritance diagram for pygaze.screen.Screen:

## Public Member Functions
| __init__ (self, disptype=settings.DISPTYPE, **args)
Public Member Functions inherited from pygaze._screen.basescreen.BaseScreen
| __init__ (self)
| create (self)
| clear (self)
| copy (self)
| draw_circle (self)
| draw_ellipse (self)
| draw_rect (self)
| draw_line (self)
| draw_polygon (self)
| draw_fixation (self)
| draw_text (self)
| draw_image (self)
| set_background_colour (self)

## Detailed Description

        A class for Screen objects, for visual stimuli (to be displayed via a
        Display object)

## Constructor & Destructor Documentation

## ◆ __init__()

pygaze.screen.Screen.__init__ | ( |  | self,
|  |  | disptype = settings.DISPTYPE,
|  | ** | args )

            Initializes the Screen object.

            Keyword arguments:
            disptype    --  Type of display: either 'pygame' or 'psychopy'
                        (default = DISPTYPE)
            dispsize    -- size of the display in pixels: a (width, height)
                       tuple (default = DISPSIZE)
            fgc     -- the foreground colour: a colour name (e.g. 'red') or
                       a RGB(A) tuple (e.g. (255,0,0) or (255,0,0,255))
                       (default = FGC)
            bgc     -- the background colour: a colour name (e.g. 'red') or
                       a RGB(A) tuple (e.g. (255,0,0) or (255,0,0,255))
                       (default = BGC)
            screennr    -- the screen number: 0, 1 etc. (default =
                       SCREENNR)
            mousevisible    -- Boolean indicating mouse visibility (default =
                           MOUSEVISIBLE)
            screen  -- a Screen object to be presented on the new Display
                       (default=None)

The documentation for this class was generated from the following file:

- C:/Users/lurax/eyetrackingTobii/pygaze/screen.py